using BeWo.Report.ReportObjects;

using DevExpress.XtraReports.UI;

namespace BeWo.Report.DefaultReports
{
	public partial class KassenbelegReport : XtraReport, IBeWoReport<KassenbelegRO>
	{
		public KassenbelegReport()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(KassenbelegRO pRO)
		{
			bindingSource1.DataSource = pRO;

		    if (pRO.Beguenstigter == null)
		    {
		        beguenstigterLabel.Visible      = false;
		        beguenstigterValueLabel.Visible = false;
		    }
		}
	}
}
